Ruby: pm_block_parameters_node Struct Reference

Ruby 3.4.1p0 (2024-12-25 revision 48d4efcb85000e1ebae42004e963b5d0cedddcf2)

Data Fields
pm_block_parameters_node Struct Reference

BlockParametersNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_parameters_node * | parameters
| BlockParametersNode#parameters.
struct pm_node_list | locals
| BlockParametersNode#locals.
pm_location_t | opening_loc
| BlockParametersNode#opening_loc.
pm_location_t | closing_loc
| BlockParametersNode#closing_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

BlockParametersNode.

Represents a block's parameters declaration.

    -> (a, b = 1; local) { }
       ^^^^^^^^^^^^^^^^^

    foo do |a, b = 1; local|
           ^^^^^^^^^^^^^^^^^
    end

Type: PM_BLOCK_PARAMETERS_NODE

Definition at line 1892 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_block_parameters_node::base

The embedded base node.

Definition at line 1894 of file ast.h.

Referenced by pm_dump_json().

## ◆ closing_loc

pm_location_t pm_block_parameters_node::closing_loc

BlockParametersNode#closing_loc.

Represents the closing location of the block parameters.

    -> (a, b = 1; local) { }
                       ^

    foo do |a, b = 1; local|
                           ^
    end

Definition at line 1951 of file ast.h.

Referenced by pm_dump_json().

## ◆ locals

struct pm_node_list pm_block_parameters_node::locals

BlockParametersNode#locals.

Represents the local variables of the block.

    -> (a, b = 1; local) { }
                  ^^^^^

    foo do |a, b = 1; local|
                      ^^^^^
    end

Definition at line 1923 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ opening_loc

pm_location_t pm_block_parameters_node::opening_loc

BlockParametersNode#opening_loc.

Represents the opening location of the block parameters.

    -> (a, b = 1; local) { }
       ^

    foo do |a, b = 1; local|
           ^
    end

Definition at line 1937 of file ast.h.

Referenced by pm_dump_json().

## ◆ parameters

struct pm_parameters_node* pm_block_parameters_node::parameters

BlockParametersNode#parameters.

Represents the parameters of the block.

    -> (a, b = 1; local) { }
        ^^^^^^^^

    foo do |a, b = 1; local|
            ^^^^^^^^
    end

Definition at line 1909 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h